summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Teigland <teigland@redhat.com>2016-04-22 16:11:01 -0500
committerDavid Teigland <teigland@redhat.com>2016-05-06 09:00:00 -0500
commit29a8012724071fb07b72ef7ba2abd4e17d324a4c (patch)
tree19ea9093030d23a3ee47270e8e4d4af3a8354da6
parentd4d1d5ac3ebc88f48e7d959cff9ab9c59ba92ba0 (diff)
downloadlvm2-29a8012724071fb07b72ef7ba2abd4e17d324a4c.tar.gz
test: lvmetad-ambiguous
update for duplicate changes
-rw-r--r--test/shell/lvmetad-ambiguous.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/test/shell/lvmetad-ambiguous.sh b/test/shell/lvmetad-ambiguous.sh
index ffcbdd302..52f2928d6 100644
--- a/test/shell/lvmetad-ambiguous.sh
+++ b/test/shell/lvmetad-ambiguous.sh
@@ -26,11 +26,11 @@ dmsetup create -u TEST-${PREFIX}pv1 ${PREFIX}pv1 ${PREFIX}pv1.table
aux finish_udev_transaction
# re-scan them
-pvscan --cache "$dev1"
-pvscan --cache "$dev2"
+pvscan --cache "$dev1" || true
+pvscan --cache "$dev2" || true
# expect both to be there
-pvs | tee pvs.txt
-grep "$dev1" pvs.txt
-grep "$dev2" pvs.txt
+pvs -a -o name | tee out
+grep "$dev1" out
+grep "$dev2" out